<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: include/platform/misc.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/d08/misc_8h.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">misc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes platform abstractions for miscellaneous behaviors.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for misc.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d65/misc_8h__incl.png" border="0" usemap="#include_2platform_2misc_8h" alt=""/></div>
<map name="include_2platform_2misc_8h" id="include_2platform_2misc_8h">
<area shape="rect" id="node2" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="5,152,70,177"/>
<area shape="rect" id="node3" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="69,79,206,104"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="96,152,171,177"/>
<area shape="rect" id="node5" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="195,152,333,177"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/da6/misc_8h__dep__incl.png" border="0" usemap="#include_2platform_2misc_8hdep" alt=""/></div>
<map name="include_2platform_2misc_8hdep" id="include_2platform_2misc_8hdep">
<area shape="rect" id="node2" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="5,79,170,104"/>
<area shape="rect" id="node3" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="195,79,346,104"/>
</map>
</div>
</div>
<p><a href="../../d4/d08/misc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a0cba84283c1ab3c6aa37c143e9a552c8"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">otPlatResetReason</a> { <br />
&#160;&#160;<b>kPlatResetReason_PowerOn</b> = 0, 
<br />
&#160;&#160;<b>kPlatResetReason_External</b> = 1, 
<br />
&#160;&#160;<b>kPlatResetReason_Software</b> = 2, 
<br />
&#160;&#160;<b>kPlatResetReason_Fault</b> = 3, 
<br />
&#160;&#160;<b>kPlatResetReason_Crash</b> = 4, 
<br />
&#160;&#160;<b>kPlatResetReason_Assert</b> = 5, 
<br />
&#160;&#160;<b>kPlatResetReason_Other</b> = 6, 
<br />
&#160;&#160;<b>kPlatResetReason_Unknown</b> = 7, 
<br />
&#160;&#160;<b>kPlatResetReason_Watchdog</b> = 8, 
<br />
&#160;&#160;<b>kPlatResetReason_Count</b>
<br />
 }<tr class="memdesc:a0cba84283c1ab3c6aa37c143e9a552c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of possible reset reason codes.  <a href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a0cba84283c1ab3c6aa37c143e9a552c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6e5e33121dff7942b201db3cc37e9e86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d08/misc_8h.html#a6e5e33121dff7942b201db3cc37e9e86">otPlatReset</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a6e5e33121dff7942b201db3cc37e9e86"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs a software reset on the platform, if supported.  <a href="#a6e5e33121dff7942b201db3cc37e9e86">More...</a><br /></td></tr>
<tr class="separator:a6e5e33121dff7942b201db3cc37e9e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26ce83d07357b4c94234a5c12aff289"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">otPlatResetReason</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d08/misc_8h.html#ab26ce83d07357b4c94234a5c12aff289">otPlatGetResetReason</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ab26ce83d07357b4c94234a5c12aff289"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the reason for the last platform reset.  <a href="#ab26ce83d07357b4c94234a5c12aff289">More...</a><br /></td></tr>
<tr class="separator:ab26ce83d07357b4c94234a5c12aff289"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes platform abstractions for miscellaneous behaviors. </p>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a0cba84283c1ab3c6aa37c143e9a552c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">otPlatResetReason</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration of possible reset reason codes. </p>
<p>These are in the same order as the Spinel reset reason codes. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ab26ce83d07357b4c94234a5c12aff289"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">otPlatResetReason</a> otPlatGetResetReason </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the reason for the last platform reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d08/misc_8h_ab26ce83d07357b4c94234a5c12aff289_icgraph.png" border="0" usemap="#d4/d08/misc_8h_ab26ce83d07357b4c94234a5c12aff289_icgraph" alt=""/></div>
<map name="d4/d08/misc_8h_ab26ce83d07357b4c94234a5c12aff289_icgraph" id="d4/d08/misc_8h_ab26ce83d07357b4c94234a5c12aff289_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#a6a04825243722f9500cac2818a07c7b4" title="This constructor creates and initializes an NcpBase instance. " alt="" coords="211,5,398,31"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6e5e33121dff7942b201db3cc37e9e86"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatReset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function performs a software reset on the platform, if supported. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d08/misc_8h_a6e5e33121dff7942b201db3cc37e9e86_icgraph.png" border="0" usemap="#d4/d08/misc_8h_a6e5e33121dff7942b201db3cc37e9e86_icgraph" alt=""/></div>
<map name="d4/d08/misc_8h_a6e5e33121dff7942b201db3cc37e9e86_icgraph" id="d4/d08/misc_8h_a6e5e33121dff7942b201db3cc37e9e86_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#ga383bd88f862315010ce91c795ef6acba" title="This method triggers platform reset. " alt="" coords="181,15,298,40"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="144,65,335,104"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="403,5,558,44"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="383,68,578,107"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="../../dir_ac186d3e8926949364e5821f25491cc3.html">platform</a></li><li class="navelem"><a class="el" href="../../d4/d08/misc_8h.html">misc.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
